Bug 475125 - gstreamer segfault on second user login
gstreamer segfault on second user login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 20:55 EST by Jay Cliburn
Modified: 2011-12-07 02:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-power-management corefile stack trace (49.61 KB, text/plain)
2008-12-07 22:31 EST, Jay Cliburn
no flags Details

  None (edit)
Description Jay Cliburn 2008-12-07 20:55:53 EST
Description of problem:
After creating a second user account with system-config-users, when that user logs in, gstreamer segfaults.  It does not happen with the user account created at firstboot.

Version-Release number of selected component (if applicable):
gstreamer-0.10.21-2.fc10.i386

How reproducible:
Every time the second user logs in.

Steps to Reproduce:
1. Create a new user with system-config-users.
2. Login as the new user.
3. Watch gstreamer go boom.
  
Actual results:
$ dmesg
[...]
gnome-settings-[3118]: segfault at 4 ip 057370f5 sp bf8488d0 error 4 in libgstreamer-0.10.so.0.18.0[56b3000+bc000]
mixer_applet2[3182]: segfault at 4 ip 057370f5 sp bfd553b0 error 4 in libgstreamer-0.10.so.0.18.0[56b3000+bc000]
gnome-power-man[3208]: segfault at 4 ip 057370f5 sp bfac7e30 error 4 in libgstreamer-0.10.so.0.18.0[56b3000+bc000]

Expected results:
No gstreamer segfault.

Additional info:
Comment 1 Jay Cliburn 2008-12-07 22:31:43 EST
Created attachment 326074 [details]
gnome-power-management corefile stack trace

Installed a metric buttload of debuginfo rpms, then ran gnome-power-manager from the second user's account (username "testuser").  It crashed and dropped a corefile, which I churned through gdb.  Stacktrace attached.

FWIW, there is no /home/testuser/.gstreamer-0.10/registry.i386.bin file.  This perhaps gives rise to the null pointers in the trace?   Apparently when the new user account was created with system-config-users, the registry file wasn't created.

[root@sparrow ~]# ls ~testuser/.gstreamer-0.10/
[root@sparrow ~]#
Comment 2 Anthony Horton 2008-12-08 21:46:50 EST
I have the same problem, segfaults in libgstreamer killing gnome-settings-daemon, gnome-power-manager, mixer-applet2, etc.   For me though this is also happening with my primary user (created during firstboot), so my system is basically unusable.

This is with a fresh and up to date Fedora 10 installation.  My user has a ~/.gstreamer-0.10/ directory, however the permissions are set to drw-rw---- (i.e. 660) which doesn't seem right to me, surely it should be drwxrwx--- (770) or drwxrw---- (760)?
Comment 3 Anthony Horton 2008-12-08 22:29:09 EST
OK, so I changed to permissions of ~/.gstreamer-0.10 to drwxrwx--- (770).   When I then tried my appearance settings, mixer applet and power settings they all work fine, the libgstreamer segfaults had stopped and gstreamer had created a registry.i386.bin file in ~/.gstreamer.  So, the problem appears fixed once the permissions have been changed.

The question remains about how my ~./gstreamer-0.10 directory ended up with the wrong permissions, however.  A problem with firstboot, or system-config-users, or gstreamer?  Remember this was a fresh install with all updates applied.  It could also be argued that if its .dotfiles do end up with incorrect permissions then gstreamer should fail more gracefully (and informatively) than segfaulting.
Comment 4 Richard Schwarting 2008-12-09 03:16:14 EST
Note: fresh Fedora 10 net install with my second user also created via system-config-users also is missing the file and has 660 as its permissions on the ~/.gstreamer-0.10 directory.
Comment 5 Anthony Horton 2008-12-09 05:03:29 EST
The problem does seem to stem from a package that's been updated since the Fedora 10 release.

I've installed Fedora 10 on the same laptop a number of times now (it's a netbook and I've been trying to find a partitioning scheme that fits nicely).  The installations that have suffered from 660 permissions on ~/.gstreamer-0.10 were done from DVD but with the Fedora and Fedora Updates repos enabled so that the installation used all the latest versions of Fedora packages.  My first installation didn't have this problem though, with that one I installed from the DVD alone so my primary user account was set up by firstboot before any updates were applied to the system.

I note that there aren't any updates for gstreamer itself yet, so it looks like the problem is really somewhere else.  Are any of the packages that have been updated involved in setting up user accounts?

As an aside, the gstreamer problems I've seen have been accompanied by problems with GDM which appear to be related to permissions and security contexts.  I suspect they're related but haven't been able to identify the root cause of the errors in the GDM case.
Comment 6 Jay Cliburn 2008-12-09 10:11:14 EST
Anthony, I think you're onto it.  When I installed F10 from DVD, I didn't have additional repos enabled, so the firstboot user was created solely from packages found on the DVD.

After that I ran yum update, then created the second user.

Heh, if you think the perms on the .gstreamer-0.10 directory are borked, take a look at the .gvfs directory:

[root@sparrow ~]# ls -al ~testuser
ls: cannot access /home/testuser/.gvfs: Permission denied
total 144
drwx------ 25 testuser testuser 4096 2008-12-07 20:23 .
drwxr-xr-x  5 root     root     4096 2008-12-07 19:24 ..
-rw-r--r--  1 testuser testuser   18 2008-10-28 16:37 .bash_logout
-rw-r--r--  1 testuser testuser  176 2008-10-28 16:37 .bash_profile
-rw-r--r--  1 testuser testuser  124 2008-10-28 16:37 .bashrc
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 .cache
drwxr-xr-x  3 testuser testuser 4096 2008-12-07 19:32 .config
drwx------  3 testuser testuser 4096 2008-12-07 19:31 .dbus
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Desktop
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Documents
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Download
-rw-------  1 testuser testuser   16 2008-12-07 19:31 .esd_auth
drwx------  4 testuser testuser 4096 2008-12-07 20:23 .gconf
drwx------  2 testuser testuser 4096 2008-12-07 21:16 .gconfd
drwxr-xr-x  6 testuser testuser 4096 2008-12-07 20:23 .gnome2
drwx------  2 testuser testuser 4096 2008-12-07 19:31 .gnome2_private
drw-rw----  2 testuser testuser 4096 2008-12-07 19:31 .gstreamer-0.10
-rw-rw-r--  1 testuser testuser  151 2008-12-07 20:23 .gtk-bookmarks
d?????????  ? ?        ?           ?                ? .gvfs
-rw-------  1 testuser testuser 1550 2008-12-07 20:23 .ICEauthority
drwxr-xr-x  3 testuser testuser 4096 2008-12-07 19:31 .local
drwxr-xr-x  4 testuser testuser 4096 2008-12-05 20:58 .mozilla
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Music
drwxr-xr-x  3 testuser testuser 4096 2008-12-07 20:23 .nautilus
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Pictures
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Public
drwx------  2 testuser testuser 4096 2008-12-07 19:31 .pulse
-rw-------  1 testuser testuser  256 2008-12-07 19:31 .pulse-cookie
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Templates
drwxrwxr-x  4 testuser testuser 4096 2008-12-07 19:32 .tomboy
-rw-rw-r--  1 testuser testuser 4886 2008-12-07 20:23 .tomboy.log
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 19:31 Videos
drwxr-xr-x  2 testuser testuser 4096 2008-12-07 20:23 .wapi
-rw-------  1 testuser testuser 2036 2008-12-07 20:23 .xsession-errors
-rw-------  1 testuser testuser 2885 2008-12-07 20:23 .xsession-errors.old
Comment 7 Anthony Horton 2008-12-09 17:31:29 EST
OK, so we have a workaround then.  Don't do net installs, don't enable Fedora repos during installation from DVD/Live CD, and don't install any updates until after you've created all the user accounts you'll ever need.  Do any of these things and your user accounts will be seriously broken due to stuffed up permissions which you'll need to fix by hand.  No problem ;)

We still haven't identified the root cause of the problem though (not even exactly which package is to blame) and I'm not sure where to go from here.  We need help from someone with more knowledge about how user .dotfiles get set up.  Unfortunately with this bug having been assigned priority 'Low' (wrongly, in my opinion) it could be a long time before an expert takes a look at this.

By the way, Jay, .gvfs is always like that.  It's all part of the mysterious magic of the Gnome Virtual File System.
Comment 8 Bug Zapper 2009-11-18 04:39:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:11:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Vincent 2011-12-07 02:42:25 EST
hello

same pb here with F16

I created a 2nd user account for my children and any Gstreamer based applications won't launch : Totem, Rhythmbox, Gcompris (an educational software for children), etc.

Nautilus can't display video thumbnails.

None of these Gstreamer based applications windows is displayed, their names just appear at the top left of the screen but nothing happens... and some 20 seconds later, their names disapear.

Same thing with Gcompris.

If I run Gcompris within a terminal, it displays :
######################################################################
$ gcompris
** Message: Binary relocation disabled

** (process:3313): WARNING **: exec_prefix NONE

package_data_dir         = /usr/share/gcompris/boards
package_skin_dir         = /usr/share/gcompris/boards/skins
package_menu_dir         = /usr/share/gcompris/boards
package_locale_dir       = /usr/share/locale
package_plugin_dir       = /usr/lib/gcompris
package_python_plugin_dir= /usr/share/gcompris/python
Infos:
   Config dir '/home/yann_alex/.config/gcompris'
   Users dir '/home/yann_alex/My GCompris'
   Database '/home/yann_alex/.config/gcompris/gcompris_sqlite.db'
*** glibc detected *** /usr/libexec/gstreamer-0.10/gst-plugin-scanner: free(): invalid next size (normal): 0x09929048 ***
^C
(gcompris:3313): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gcompris:3313): GLib-GObject-CRITICAL **: g_signal_emit_by_name: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
*** glibc detected *** /usr/libexec/gstreamer-0.10/gst-plugin-scanner: corrupted double-linked list: 0x09046db8 ***
======= Backtrace: =========
/lib/libc.so.6[0x42942d22]
/lib/libc.so.6[0x42943fa0]
/lib/ld-linux.so.2[0x428b25d7]
/lib/ld-linux.so.2[0x428b2a39]
/lib/ld-linux.so.2[0x428b4418]
/lib/ld-linux.so.2[0x428bc3ab]
/lib/ld-linux.so.2[0x428b7d0f]
/lib/ld-linux.so.2[0x428bbd06]
/lib/libdl.so.2[0x42a98c09]
/lib/ld-linux.so.2[0x428b7d0f]
/lib/libdl.so.2[0x42a993ba]
/lib/libdl.so.2(dlopen+0x47)[0x42a98cb7]
/lib/libgmodule-2.0.so.0(g_module_open+0x214)[0x42cd4354]
/usr/lib/gstreamer-0.10/libgstfrei0r.so(+0x2770)[0xb50770]
/usr/lib/gstreamer-0.10/libgstfrei0r.so(+0x2fdf)[0xb50fdf]
/usr/lib/libgstreamer-0.10.so.0[0x4528f510]
/usr/lib/libgstreamer-0.10.so.0(gst_plugin_load_file+0x33f)[0x452907bf]
/usr/lib/libgstreamer-0.10.so.0[0x45293d4a]
/usr/lib/libgstreamer-0.10.so.0(_gst_plugin_loader_client_run+0xee)[0x45294cce]
/usr/libexec/gstreamer-0.10/gst-plugin-scanner[0x80485f7]
/lib/libc.so.6(__libc_start_main+0xf3)[0x428e66b3]
/usr/libexec/gstreamer-0.10/gst-plugin-scanner[0x8048625]
======= Memory map: ========
00110000-00200000 r-xp 00000000 08:07 11627      /lib/libasound.so.2.0.0
00200000-00204000 rw-p 000f0000 08:07 11627      /lib/libasound.so.2.0.0
00204000-0021b000 r-xp 00000000 08:07 157950     /usr/lib/gstreamer-0.10/libgstoss4audio.so
0021b000-0021c000 r--p 00016000 08:07 157950     /usr/lib/gstreamer-0.10/libgstoss4audio.so
0021c000-0021e000 rw-p 00017000 08:07 157950     /usr/lib/gstreamer-0.10/libgstoss4audio.so
etc.
######################################################################


I noticed that I haven't the ~/.gstreamer-0.10/ directory. So I tried to copy-paste the one from my main account (with the registry file inside): some video thumbnails are displayed (but not all !?, totem's window is displayed (not the video) but that's all.


here some info :
#######################################################################
$ rpm -qa | grep gstreamer
gstreamer-rtsp-0.10.8-1.fc16.i686
gstreamer-plugins-good-0.10.30-4.fc16.i686
gstreamer-python-0.10.19-2.fc15.i686
gstreamer-tools-0.10.35-1.fc16.i686
phonon-backend-gstreamer-4.5.90-3.fc16.i686
gstreamer-java-1.5-1.fc16.i686
gstreamer-0.10.35-1.fc16.i686
gstreamer-plugins-bad-free-0.10.22-2.fc16.1.i686
gstreamer-plugins-bad-nonfree-0.10.22-2.fc16.i686
gstreamer-plugins-ugly-0.10.18-3.fc16.i686
gstreamer-plugins-base-0.10.35-3.fc16.i686
gstreamer-plugins-base-tools-0.10.35-3.fc16.i686
gstreamer-plugins-bad-0.10.22-2.fc16.i686
PackageKit-gstreamer-plugin-0.6.20-1.fc16.i686
gstreamer-ffmpeg-0.10.12-1.fc16.i686
#######################################################################

#######################################################################
$ rpm -Va gstreamer-plugins-base
diplays no error
#######################################################################


I precise that under my main account all works fine and the 2nd user account worked fine when I created it with F15.

I made a fresh install of F16 in another partition, homes of F15 and homes of F16 are in different partitions too (nothing in common).

thanks a lot

Note You need to log in before you can comment on or make changes to this bug.